// Code generated by protoc-gen-go. DO NOT EDIT.
// source: supervisor.proto

package supervisor

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	empty "github.com/golang/protobuf/ptypes/empty"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	processor "gitlab.com/m.kaykisiz/protogo/fraud/processor"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Screening_Decision int32

const (
	Screening_ACCEPT Screening_Decision = 0
	Screening_REVIEW Screening_Decision = 1
	Screening_REJECT Screening_Decision = 2
)

var Screening_Decision_name = map[int32]string{
	0: "ACCEPT",
	1: "REVIEW",
	2: "REJECT",
}

var Screening_Decision_value = map[string]int32{
	"ACCEPT": 0,
	"REVIEW": 1,
	"REJECT": 2,
}

func (x Screening_Decision) String() string {
	return proto.EnumName(Screening_Decision_name, int32(x))
}

func (Screening_Decision) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{8, 0}
}

type Processor struct {
	Id                   uint64               `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	UserId               string               `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Name                 string               `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Credentials          string               `protobuf:"bytes,4,opt,name=credentials,proto3" json:"credentials,omitempty"`
	Meta                 string               `protobuf:"bytes,5,opt,name=meta,proto3" json:"meta,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,6,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	ModifiedAt           *timestamp.Timestamp `protobuf:"bytes,7,opt,name=modified_at,json=modifiedAt,proto3" json:"modified_at,omitempty"`
	DeletedAt            *timestamp.Timestamp `protobuf:"bytes,8,opt,name=deleted_at,json=deletedAt,proto3" json:"deleted_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Processor) Reset()         { *m = Processor{} }
func (m *Processor) String() string { return proto.CompactTextString(m) }
func (*Processor) ProtoMessage()    {}
func (*Processor) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{0}
}

func (m *Processor) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Processor.Unmarshal(m, b)
}
func (m *Processor) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Processor.Marshal(b, m, deterministic)
}
func (m *Processor) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Processor.Merge(m, src)
}
func (m *Processor) XXX_Size() int {
	return xxx_messageInfo_Processor.Size(m)
}
func (m *Processor) XXX_DiscardUnknown() {
	xxx_messageInfo_Processor.DiscardUnknown(m)
}

var xxx_messageInfo_Processor proto.InternalMessageInfo

func (m *Processor) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Processor) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *Processor) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Processor) GetCredentials() string {
	if m != nil {
		return m.Credentials
	}
	return ""
}

func (m *Processor) GetMeta() string {
	if m != nil {
		return m.Meta
	}
	return ""
}

func (m *Processor) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *Processor) GetModifiedAt() *timestamp.Timestamp {
	if m != nil {
		return m.ModifiedAt
	}
	return nil
}

func (m *Processor) GetDeletedAt() *timestamp.Timestamp {
	if m != nil {
		return m.DeletedAt
	}
	return nil
}

type CreateProcessorRequest struct {
	Processor            *Processor `protobuf:"bytes,1,opt,name=processor,proto3" json:"processor,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *CreateProcessorRequest) Reset()         { *m = CreateProcessorRequest{} }
func (m *CreateProcessorRequest) String() string { return proto.CompactTextString(m) }
func (*CreateProcessorRequest) ProtoMessage()    {}
func (*CreateProcessorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{1}
}

func (m *CreateProcessorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateProcessorRequest.Unmarshal(m, b)
}
func (m *CreateProcessorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateProcessorRequest.Marshal(b, m, deterministic)
}
func (m *CreateProcessorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateProcessorRequest.Merge(m, src)
}
func (m *CreateProcessorRequest) XXX_Size() int {
	return xxx_messageInfo_CreateProcessorRequest.Size(m)
}
func (m *CreateProcessorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateProcessorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateProcessorRequest proto.InternalMessageInfo

func (m *CreateProcessorRequest) GetProcessor() *Processor {
	if m != nil {
		return m.Processor
	}
	return nil
}

type UpdateProcessorRequest struct {
	Processor            *Processor `protobuf:"bytes,1,opt,name=processor,proto3" json:"processor,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *UpdateProcessorRequest) Reset()         { *m = UpdateProcessorRequest{} }
func (m *UpdateProcessorRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateProcessorRequest) ProtoMessage()    {}
func (*UpdateProcessorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{2}
}

func (m *UpdateProcessorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateProcessorRequest.Unmarshal(m, b)
}
func (m *UpdateProcessorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateProcessorRequest.Marshal(b, m, deterministic)
}
func (m *UpdateProcessorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateProcessorRequest.Merge(m, src)
}
func (m *UpdateProcessorRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateProcessorRequest.Size(m)
}
func (m *UpdateProcessorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateProcessorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateProcessorRequest proto.InternalMessageInfo

func (m *UpdateProcessorRequest) GetProcessor() *Processor {
	if m != nil {
		return m.Processor
	}
	return nil
}

type DeleteProcessorRequest struct {
	Processor            *Processor `protobuf:"bytes,1,opt,name=processor,proto3" json:"processor,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *DeleteProcessorRequest) Reset()         { *m = DeleteProcessorRequest{} }
func (m *DeleteProcessorRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteProcessorRequest) ProtoMessage()    {}
func (*DeleteProcessorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{3}
}

func (m *DeleteProcessorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteProcessorRequest.Unmarshal(m, b)
}
func (m *DeleteProcessorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteProcessorRequest.Marshal(b, m, deterministic)
}
func (m *DeleteProcessorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteProcessorRequest.Merge(m, src)
}
func (m *DeleteProcessorRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteProcessorRequest.Size(m)
}
func (m *DeleteProcessorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteProcessorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteProcessorRequest proto.InternalMessageInfo

func (m *DeleteProcessorRequest) GetProcessor() *Processor {
	if m != nil {
		return m.Processor
	}
	return nil
}

type GetProcessorRequest struct {
	Id                   uint64   `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	UserId               string   `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetProcessorRequest) Reset()         { *m = GetProcessorRequest{} }
func (m *GetProcessorRequest) String() string { return proto.CompactTextString(m) }
func (*GetProcessorRequest) ProtoMessage()    {}
func (*GetProcessorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{4}
}

func (m *GetProcessorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetProcessorRequest.Unmarshal(m, b)
}
func (m *GetProcessorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetProcessorRequest.Marshal(b, m, deterministic)
}
func (m *GetProcessorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetProcessorRequest.Merge(m, src)
}
func (m *GetProcessorRequest) XXX_Size() int {
	return xxx_messageInfo_GetProcessorRequest.Size(m)
}
func (m *GetProcessorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetProcessorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetProcessorRequest proto.InternalMessageInfo

func (m *GetProcessorRequest) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *GetProcessorRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

type ListProcessorByUserIdRequest struct {
	UserId               string   `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListProcessorByUserIdRequest) Reset()         { *m = ListProcessorByUserIdRequest{} }
func (m *ListProcessorByUserIdRequest) String() string { return proto.CompactTextString(m) }
func (*ListProcessorByUserIdRequest) ProtoMessage()    {}
func (*ListProcessorByUserIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{5}
}

func (m *ListProcessorByUserIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListProcessorByUserIdRequest.Unmarshal(m, b)
}
func (m *ListProcessorByUserIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListProcessorByUserIdRequest.Marshal(b, m, deterministic)
}
func (m *ListProcessorByUserIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListProcessorByUserIdRequest.Merge(m, src)
}
func (m *ListProcessorByUserIdRequest) XXX_Size() int {
	return xxx_messageInfo_ListProcessorByUserIdRequest.Size(m)
}
func (m *ListProcessorByUserIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListProcessorByUserIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListProcessorByUserIdRequest proto.InternalMessageInfo

func (m *ListProcessorByUserIdRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

type ListProcessorRequest struct {
	Offset               uint64   `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                uint64   `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListProcessorRequest) Reset()         { *m = ListProcessorRequest{} }
func (m *ListProcessorRequest) String() string { return proto.CompactTextString(m) }
func (*ListProcessorRequest) ProtoMessage()    {}
func (*ListProcessorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{6}
}

func (m *ListProcessorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListProcessorRequest.Unmarshal(m, b)
}
func (m *ListProcessorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListProcessorRequest.Marshal(b, m, deterministic)
}
func (m *ListProcessorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListProcessorRequest.Merge(m, src)
}
func (m *ListProcessorRequest) XXX_Size() int {
	return xxx_messageInfo_ListProcessorRequest.Size(m)
}
func (m *ListProcessorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListProcessorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListProcessorRequest proto.InternalMessageInfo

func (m *ListProcessorRequest) GetOffset() uint64 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *ListProcessorRequest) GetLimit() uint64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type ListProcessorResponse struct {
	Processors           []*Processor `protobuf:"bytes,1,rep,name=processors,proto3" json:"processors,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *ListProcessorResponse) Reset()         { *m = ListProcessorResponse{} }
func (m *ListProcessorResponse) String() string { return proto.CompactTextString(m) }
func (*ListProcessorResponse) ProtoMessage()    {}
func (*ListProcessorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{7}
}

func (m *ListProcessorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListProcessorResponse.Unmarshal(m, b)
}
func (m *ListProcessorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListProcessorResponse.Marshal(b, m, deterministic)
}
func (m *ListProcessorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListProcessorResponse.Merge(m, src)
}
func (m *ListProcessorResponse) XXX_Size() int {
	return xxx_messageInfo_ListProcessorResponse.Size(m)
}
func (m *ListProcessorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListProcessorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListProcessorResponse proto.InternalMessageInfo

func (m *ListProcessorResponse) GetProcessors() []*Processor {
	if m != nil {
		return m.Processors
	}
	return nil
}

type Screening struct {
	Id                   uint64                `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	UserId               string                `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ObjectId             string                `protobuf:"bytes,3,opt,name=object_id,json=objectId,proto3" json:"object_id,omitempty"`
	Succeed              bool                  `protobuf:"varint,4,opt,name=succeed,proto3" json:"succeed,omitempty"`
	Decision             Screening_Decision    `protobuf:"varint,5,opt,name=decision,proto3,enum=ghost.fraud.supervisor.Screening_Decision" json:"decision,omitempty"`
	Score                uint32                `protobuf:"varint,6,opt,name=score,proto3" json:"score,omitempty"`
	ProcessorMeta        string                `protobuf:"bytes,7,opt,name=processor_meta,json=processorMeta,proto3" json:"processor_meta,omitempty"`
	RequestMeta          string                `protobuf:"bytes,8,opt,name=request_meta,json=requestMeta,proto3" json:"request_meta,omitempty"`
	ReferenceId          *wrappers.StringValue `protobuf:"bytes,9,opt,name=reference_id,json=referenceId,proto3" json:"reference_id,omitempty"`
	Request              *wrappers.StringValue `protobuf:"bytes,10,opt,name=request,proto3" json:"request,omitempty"`
	Response             *wrappers.StringValue `protobuf:"bytes,11,opt,name=response,proto3" json:"response,omitempty"`
	CreatedAt            *timestamp.Timestamp  `protobuf:"bytes,12,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	ModifiedAt           *timestamp.Timestamp  `protobuf:"bytes,13,opt,name=modified_at,json=modifiedAt,proto3" json:"modified_at,omitempty"`
	DeletedAt            *timestamp.Timestamp  `protobuf:"bytes,14,opt,name=deleted_at,json=deletedAt,proto3" json:"deleted_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Screening) Reset()         { *m = Screening{} }
func (m *Screening) String() string { return proto.CompactTextString(m) }
func (*Screening) ProtoMessage()    {}
func (*Screening) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{8}
}

func (m *Screening) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Screening.Unmarshal(m, b)
}
func (m *Screening) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Screening.Marshal(b, m, deterministic)
}
func (m *Screening) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Screening.Merge(m, src)
}
func (m *Screening) XXX_Size() int {
	return xxx_messageInfo_Screening.Size(m)
}
func (m *Screening) XXX_DiscardUnknown() {
	xxx_messageInfo_Screening.DiscardUnknown(m)
}

var xxx_messageInfo_Screening proto.InternalMessageInfo

func (m *Screening) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Screening) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *Screening) GetObjectId() string {
	if m != nil {
		return m.ObjectId
	}
	return ""
}

func (m *Screening) GetSucceed() bool {
	if m != nil {
		return m.Succeed
	}
	return false
}

func (m *Screening) GetDecision() Screening_Decision {
	if m != nil {
		return m.Decision
	}
	return Screening_ACCEPT
}

func (m *Screening) GetScore() uint32 {
	if m != nil {
		return m.Score
	}
	return 0
}

func (m *Screening) GetProcessorMeta() string {
	if m != nil {
		return m.ProcessorMeta
	}
	return ""
}

func (m *Screening) GetRequestMeta() string {
	if m != nil {
		return m.RequestMeta
	}
	return ""
}

func (m *Screening) GetReferenceId() *wrappers.StringValue {
	if m != nil {
		return m.ReferenceId
	}
	return nil
}

func (m *Screening) GetRequest() *wrappers.StringValue {
	if m != nil {
		return m.Request
	}
	return nil
}

func (m *Screening) GetResponse() *wrappers.StringValue {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *Screening) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *Screening) GetModifiedAt() *timestamp.Timestamp {
	if m != nil {
		return m.ModifiedAt
	}
	return nil
}

func (m *Screening) GetDeletedAt() *timestamp.Timestamp {
	if m != nil {
		return m.DeletedAt
	}
	return nil
}

type ListScreeningRequest struct {
	Offset               uint64   `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                uint64   `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListScreeningRequest) Reset()         { *m = ListScreeningRequest{} }
func (m *ListScreeningRequest) String() string { return proto.CompactTextString(m) }
func (*ListScreeningRequest) ProtoMessage()    {}
func (*ListScreeningRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{9}
}

func (m *ListScreeningRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListScreeningRequest.Unmarshal(m, b)
}
func (m *ListScreeningRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListScreeningRequest.Marshal(b, m, deterministic)
}
func (m *ListScreeningRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListScreeningRequest.Merge(m, src)
}
func (m *ListScreeningRequest) XXX_Size() int {
	return xxx_messageInfo_ListScreeningRequest.Size(m)
}
func (m *ListScreeningRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListScreeningRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListScreeningRequest proto.InternalMessageInfo

func (m *ListScreeningRequest) GetOffset() uint64 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *ListScreeningRequest) GetLimit() uint64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type ListScreeningResponse struct {
	Screenings           []*Screening `protobuf:"bytes,1,rep,name=screenings,proto3" json:"screenings,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *ListScreeningResponse) Reset()         { *m = ListScreeningResponse{} }
func (m *ListScreeningResponse) String() string { return proto.CompactTextString(m) }
func (*ListScreeningResponse) ProtoMessage()    {}
func (*ListScreeningResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{10}
}

func (m *ListScreeningResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListScreeningResponse.Unmarshal(m, b)
}
func (m *ListScreeningResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListScreeningResponse.Marshal(b, m, deterministic)
}
func (m *ListScreeningResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListScreeningResponse.Merge(m, src)
}
func (m *ListScreeningResponse) XXX_Size() int {
	return xxx_messageInfo_ListScreeningResponse.Size(m)
}
func (m *ListScreeningResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListScreeningResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListScreeningResponse proto.InternalMessageInfo

func (m *ListScreeningResponse) GetScreenings() []*Screening {
	if m != nil {
		return m.Screenings
	}
	return nil
}

type ListScreeningByUserIdRequest struct {
	UserId               string   `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Offset               uint64   `protobuf:"varint,2,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                uint64   `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListScreeningByUserIdRequest) Reset()         { *m = ListScreeningByUserIdRequest{} }
func (m *ListScreeningByUserIdRequest) String() string { return proto.CompactTextString(m) }
func (*ListScreeningByUserIdRequest) ProtoMessage()    {}
func (*ListScreeningByUserIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{11}
}

func (m *ListScreeningByUserIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListScreeningByUserIdRequest.Unmarshal(m, b)
}
func (m *ListScreeningByUserIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListScreeningByUserIdRequest.Marshal(b, m, deterministic)
}
func (m *ListScreeningByUserIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListScreeningByUserIdRequest.Merge(m, src)
}
func (m *ListScreeningByUserIdRequest) XXX_Size() int {
	return xxx_messageInfo_ListScreeningByUserIdRequest.Size(m)
}
func (m *ListScreeningByUserIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListScreeningByUserIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListScreeningByUserIdRequest proto.InternalMessageInfo

func (m *ListScreeningByUserIdRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *ListScreeningByUserIdRequest) GetOffset() uint64 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *ListScreeningByUserIdRequest) GetLimit() uint64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type FindScreeningByUsersObjectIdRequest struct {
	UserId               string   `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ObjectId             string   `protobuf:"bytes,2,opt,name=object_id,json=objectId,proto3" json:"object_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindScreeningByUsersObjectIdRequest) Reset()         { *m = FindScreeningByUsersObjectIdRequest{} }
func (m *FindScreeningByUsersObjectIdRequest) String() string { return proto.CompactTextString(m) }
func (*FindScreeningByUsersObjectIdRequest) ProtoMessage()    {}
func (*FindScreeningByUsersObjectIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{12}
}

func (m *FindScreeningByUsersObjectIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindScreeningByUsersObjectIdRequest.Unmarshal(m, b)
}
func (m *FindScreeningByUsersObjectIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindScreeningByUsersObjectIdRequest.Marshal(b, m, deterministic)
}
func (m *FindScreeningByUsersObjectIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindScreeningByUsersObjectIdRequest.Merge(m, src)
}
func (m *FindScreeningByUsersObjectIdRequest) XXX_Size() int {
	return xxx_messageInfo_FindScreeningByUsersObjectIdRequest.Size(m)
}
func (m *FindScreeningByUsersObjectIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_FindScreeningByUsersObjectIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_FindScreeningByUsersObjectIdRequest proto.InternalMessageInfo

func (m *FindScreeningByUsersObjectIdRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *FindScreeningByUsersObjectIdRequest) GetObjectId() string {
	if m != nil {
		return m.ObjectId
	}
	return ""
}

type CheckRequest struct {
	UserId               string              `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ObjectId             string              `protobuf:"bytes,2,opt,name=object_id,json=objectId,proto3" json:"object_id,omitempty"`
	Order                *processor.Order    `protobuf:"bytes,3,opt,name=order,proto3" json:"order,omitempty"`
	Customer             *processor.Customer `protobuf:"bytes,4,opt,name=customer,proto3" json:"customer,omitempty"`
	Billing              *processor.Delivery `protobuf:"bytes,5,opt,name=billing,proto3" json:"billing,omitempty"`
	Shipping             *processor.Delivery `protobuf:"bytes,6,opt,name=shipping,proto3" json:"shipping,omitempty"`
	Items                []*processor.Item   `protobuf:"bytes,7,rep,name=items,proto3" json:"items,omitempty"`
	Card                 *processor.Card     `protobuf:"bytes,8,opt,name=card,proto3" json:"card,omitempty"`
	BinInfo              *processor.BinInfo  `protobuf:"bytes,9,opt,name=bin_info,json=binInfo,proto3" json:"bin_info,omitempty"`
	IpInfo               *processor.IpInfo   `protobuf:"bytes,10,opt,name=ip_info,json=ipInfo,proto3" json:"ip_info,omitempty"`
	Meta                 string              `protobuf:"bytes,11,opt,name=meta,proto3" json:"meta,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *CheckRequest) Reset()         { *m = CheckRequest{} }
func (m *CheckRequest) String() string { return proto.CompactTextString(m) }
func (*CheckRequest) ProtoMessage()    {}
func (*CheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b8b9452d77b1c7d2, []int{13}
}

func (m *CheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CheckRequest.Unmarshal(m, b)
}
func (m *CheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CheckRequest.Marshal(b, m, deterministic)
}
func (m *CheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CheckRequest.Merge(m, src)
}
func (m *CheckRequest) XXX_Size() int {
	return xxx_messageInfo_CheckRequest.Size(m)
}
func (m *CheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CheckRequest proto.InternalMessageInfo

func (m *CheckRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *CheckRequest) GetObjectId() string {
	if m != nil {
		return m.ObjectId
	}
	return ""
}

func (m *CheckRequest) GetOrder() *processor.Order {
	if m != nil {
		return m.Order
	}
	return nil
}

func (m *CheckRequest) GetCustomer() *processor.Customer {
	if m != nil {
		return m.Customer
	}
	return nil
}

func (m *CheckRequest) GetBilling() *processor.Delivery {
	if m != nil {
		return m.Billing
	}
	return nil
}

func (m *CheckRequest) GetShipping() *processor.Delivery {
	if m != nil {
		return m.Shipping
	}
	return nil
}

func (m *CheckRequest) GetItems() []*processor.Item {
	if m != nil {
		return m.Items
	}
	return nil
}

func (m *CheckRequest) GetCard() *processor.Card {
	if m != nil {
		return m.Card
	}
	return nil
}

func (m *CheckRequest) GetBinInfo() *processor.BinInfo {
	if m != nil {
		return m.BinInfo
	}
	return nil
}

func (m *CheckRequest) GetIpInfo() *processor.IpInfo {
	if m != nil {
		return m.IpInfo
	}
	return nil
}

func (m *CheckRequest) GetMeta() string {
	if m != nil {
		return m.Meta
	}
	return ""
}

func init() {
	proto.RegisterEnum("ghost.fraud.supervisor.Screening_Decision", Screening_Decision_name, Screening_Decision_value)
	proto.RegisterType((*Processor)(nil), "ghost.fraud.supervisor.Processor")
	proto.RegisterType((*CreateProcessorRequest)(nil), "ghost.fraud.supervisor.CreateProcessorRequest")
	proto.RegisterType((*UpdateProcessorRequest)(nil), "ghost.fraud.supervisor.UpdateProcessorRequest")
	proto.RegisterType((*DeleteProcessorRequest)(nil), "ghost.fraud.supervisor.DeleteProcessorRequest")
	proto.RegisterType((*GetProcessorRequest)(nil), "ghost.fraud.supervisor.GetProcessorRequest")
	proto.RegisterType((*ListProcessorByUserIdRequest)(nil), "ghost.fraud.supervisor.ListProcessorByUserIdRequest")
	proto.RegisterType((*ListProcessorRequest)(nil), "ghost.fraud.supervisor.ListProcessorRequest")
	proto.RegisterType((*ListProcessorResponse)(nil), "ghost.fraud.supervisor.ListProcessorResponse")
	proto.RegisterType((*Screening)(nil), "ghost.fraud.supervisor.Screening")
	proto.RegisterType((*ListScreeningRequest)(nil), "ghost.fraud.supervisor.ListScreeningRequest")
	proto.RegisterType((*ListScreeningResponse)(nil), "ghost.fraud.supervisor.ListScreeningResponse")
	proto.RegisterType((*ListScreeningByUserIdRequest)(nil), "ghost.fraud.supervisor.ListScreeningByUserIdRequest")
	proto.RegisterType((*FindScreeningByUsersObjectIdRequest)(nil), "ghost.fraud.supervisor.FindScreeningByUsersObjectIdRequest")
	proto.RegisterType((*CheckRequest)(nil), "ghost.fraud.supervisor.CheckRequest")
}

func init() { proto.RegisterFile("supervisor.proto", fileDescriptor_b8b9452d77b1c7d2) }

var fileDescriptor_b8b9452d77b1c7d2 = []byte{
	// 1043 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x56, 0xed, 0x6e, 0x23, 0x35,
	0x17, 0x7e, 0x93, 0xe6, 0xf3, 0x24, 0xed, 0x1b, 0x79, 0x97, 0x32, 0x4a, 0x97, 0xdd, 0x6c, 0x00,
	0xa9, 0xe2, 0x63, 0x2a, 0x02, 0x02, 0xaa, 0x4a, 0xac, 0xd2, 0x34, 0x5d, 0x05, 0x81, 0xb6, 0x9a,
	0xb6, 0x8b, 0xd8, 0xfd, 0x51, 0x26, 0x33, 0x27, 0xa9, 0x21, 0xf3, 0x81, 0xed, 0x2c, 0xea, 0x4f,
	0xee, 0x82, 0x5b, 0xe0, 0x27, 0x57, 0xc2, 0xad, 0x70, 0x09, 0xc8, 0xf6, 0xcc, 0x64, 0x9a, 0x66,
	0xc8, 0x44, 0x85, 0x5f, 0x19, 0xdb, 0xcf, 0x73, 0x8e, 0x8f, 0xe3, 0xe7, 0xf1, 0x81, 0x16, 0x9f,
	0x87, 0xc8, 0xde, 0x50, 0x1e, 0x30, 0x33, 0x64, 0x81, 0x08, 0xc8, 0xee, 0xf4, 0x3a, 0xe0, 0xc2,
	0x9c, 0x30, 0x7b, 0xee, 0x9a, 0x8b, 0xd5, 0xf6, 0xe3, 0x69, 0x10, 0x4c, 0x67, 0x78, 0xa0, 0x50,
	0xe3, 0xf9, 0xe4, 0xe0, 0x17, 0x66, 0x87, 0x21, 0x32, 0xae, 0x79, 0xed, 0x27, 0xcb, 0xeb, 0x82,
	0x7a, 0xc8, 0x85, 0xed, 0x85, 0x11, 0x60, 0x6f, 0x19, 0x80, 0x5e, 0x28, 0x6e, 0xa2, 0xc5, 0xff,
	0x87, 0x2c, 0x70, 0x90, 0x27, 0xdb, 0xe8, 0xfe, 0x51, 0x84, 0xfa, 0x59, 0x3c, 0x47, 0x76, 0xa0,
	0x48, 0x5d, 0xa3, 0xd0, 0x29, 0xec, 0x97, 0xac, 0x22, 0x75, 0xc9, 0xdb, 0x50, 0x9d, 0x73, 0x64,
	0x57, 0xd4, 0x35, 0x8a, 0x9d, 0xc2, 0x7e, 0xdd, 0xaa, 0xc8, 0xe1, 0xc8, 0x25, 0x04, 0x4a, 0xbe,
	0xed, 0xa1, 0xb1, 0xa5, 0x66, 0xd5, 0x37, 0xe9, 0x40, 0xc3, 0x61, 0xe8, 0xa2, 0x2f, 0xa8, 0x3d,
	0xe3, 0x46, 0x49, 0x2d, 0xa5, 0xa7, 0x24, 0xcb, 0x43, 0x61, 0x1b, 0x65, 0xcd, 0x92, 0xdf, 0xe4,
	0x10, 0xc0, 0x61, 0x68, 0x0b, 0x74, 0xaf, 0x6c, 0x61, 0x54, 0x3a, 0x85, 0xfd, 0x46, 0xaf, 0x6d,
	0xea, 0x1a, 0xcc, 0xb8, 0x06, 0xf3, 0x22, 0x2e, 0xd2, 0xaa, 0x47, 0xe8, 0xbe, 0x20, 0x47, 0xd0,
	0xf0, 0x02, 0x97, 0x4e, 0xa8, 0xe6, 0x56, 0xd7, 0x72, 0x21, 0x86, 0xf7, 0x85, 0xcc, 0xeb, 0xe2,
	0x0c, 0xa3, 0xbc, 0xb5, 0xf5, 0x79, 0x23, 0x74, 0x5f, 0x74, 0xbf, 0x87, 0xdd, 0x81, 0xda, 0x44,
	0x72, 0x70, 0x16, 0xfe, 0x3c, 0x47, 0x2e, 0xc8, 0x33, 0xa8, 0x27, 0x07, 0xac, 0x8e, 0xb1, 0xd1,
	0x7b, 0x6a, 0xae, 0xfe, 0xa3, 0xcd, 0x05, 0x79, 0xc1, 0x91, 0xa1, 0x2f, 0x43, 0xf7, 0xbf, 0x0a,
	0x7d, 0xa2, 0x4a, 0xf8, 0xf7, 0x43, 0x7f, 0x05, 0x0f, 0x9e, 0xa3, 0xb8, 0x13, 0x37, 0xef, 0x6d,
	0xea, 0x7e, 0x01, 0x8f, 0xbe, 0xa1, 0x7c, 0x11, 0xe0, 0xf8, 0xe6, 0x52, 0x2d, 0xc4, 0x81, 0x52,
	0xc4, 0xc2, 0x2d, 0xe2, 0x09, 0x3c, 0xbc, 0x45, 0x8c, 0x09, 0xbb, 0x50, 0x09, 0x26, 0x13, 0x8e,
	0x22, 0xca, 0x1e, 0x8d, 0xc8, 0x43, 0x28, 0xcf, 0xa8, 0x47, 0x85, 0xca, 0x5f, 0xb2, 0xf4, 0xa0,
	0xfb, 0x0a, 0xde, 0x5a, 0x8a, 0xc2, 0xc3, 0xc0, 0xe7, 0x48, 0xfa, 0x00, 0x49, 0x91, 0xdc, 0x28,
	0x74, 0xb6, 0xf2, 0x9d, 0x4c, 0x8a, 0xd4, 0xfd, 0xbd, 0x0c, 0xf5, 0x73, 0x87, 0x21, 0xfa, 0xd4,
	0x9f, 0xe6, 0xd7, 0xd7, 0x1e, 0xd4, 0x83, 0xf1, 0x8f, 0xe8, 0x08, 0xb9, 0xa4, 0x45, 0x56, 0xd3,
	0x13, 0x23, 0x97, 0x18, 0x50, 0xe5, 0x73, 0xc7, 0x41, 0x74, 0x95, 0xc8, 0x6a, 0x56, 0x3c, 0x24,
	0xa7, 0x50, 0x73, 0xd1, 0xa1, 0x9c, 0x06, 0xbe, 0x12, 0xd9, 0x4e, 0xef, 0x83, 0xac, 0xed, 0x26,
	0x9b, 0x32, 0x4f, 0x22, 0x86, 0x95, 0x70, 0xe5, 0x39, 0x71, 0x27, 0x60, 0xa8, 0xf4, 0xb8, 0x6d,
	0xe9, 0x01, 0x79, 0x1f, 0x76, 0x92, 0xca, 0xae, 0x94, 0x90, 0xab, 0x6a, 0x67, 0xdb, 0xc9, 0xec,
	0xb7, 0x52, 0xd1, 0x4f, 0xa1, 0xc9, 0xf4, 0xff, 0xa0, 0x41, 0x35, 0x6d, 0x04, 0xd1, 0x9c, 0x82,
	0x3c, 0x93, 0x90, 0x09, 0x32, 0xf4, 0x1d, 0x94, 0x15, 0xd6, 0xd5, 0xa5, 0x7b, 0x74, 0x47, 0x7e,
	0xe7, 0x82, 0x51, 0x7f, 0xfa, 0xd2, 0x9e, 0xcd, 0x51, 0x06, 0x88, 0x18, 0x23, 0x97, 0x7c, 0x0e,
	0xd5, 0x28, 0x9e, 0x01, 0x39, 0xb8, 0x31, 0x98, 0x7c, 0x09, 0x35, 0x16, 0xfd, 0xbb, 0x46, 0x23,
	0x07, 0x31, 0x41, 0x2f, 0xf9, 0x54, 0xf3, 0x1e, 0x3e, 0xb5, 0x7d, 0x0f, 0x9f, 0xda, 0xd9, 0xc4,
	0xa7, 0x4c, 0xa8, 0xc5, 0xff, 0x2d, 0x01, 0xa8, 0xf4, 0x07, 0x83, 0xe1, 0xd9, 0x45, 0xeb, 0x7f,
	0xf2, 0xdb, 0x1a, 0xbe, 0x1c, 0x0d, 0xbf, 0x6b, 0x15, 0xf4, 0xf7, 0xd7, 0xc3, 0xc1, 0x45, 0xab,
	0x18, 0xab, 0x29, 0xb9, 0x19, 0xf7, 0x52, 0x53, 0x2a, 0xca, 0x42, 0x4d, 0x3c, 0x9e, 0x5c, 0xab,
	0xa6, 0x05, 0x3d, 0x45, 0xea, 0xa2, 0x36, 0x8a, 0x64, 0x31, 0xaf, 0x51, 0xa4, 0x4a, 0x28, 0xae,
	0x2e, 0x61, 0x2b, 0x5d, 0xc2, 0x6b, 0x78, 0xf7, 0x94, 0xfa, 0xee, 0x52, 0x1a, 0xfe, 0x22, 0x12,
	0xe0, 0xda, 0x6c, 0xb7, 0xd4, 0x5b, 0xbc, 0xad, 0xde, 0xee, 0x6f, 0x25, 0x68, 0x0e, 0xae, 0xd1,
	0xf9, 0xe9, 0x5e, 0x61, 0x48, 0x0f, 0xca, 0x01, 0x73, 0x91, 0xa9, 0x9d, 0xab, 0x6b, 0x9c, 0x3a,
	0xc8, 0xc5, 0x2b, 0xff, 0x42, 0x62, 0x2c, 0x0d, 0x25, 0x47, 0x50, 0x73, 0xe6, 0x5c, 0x04, 0x1e,
	0x32, 0xe5, 0x1c, 0x8d, 0xde, 0x93, 0x0c, 0xda, 0x20, 0x82, 0x59, 0x09, 0x81, 0x1c, 0x42, 0x75,
	0x4c, 0x67, 0x33, 0xea, 0x4f, 0x95, 0xb5, 0x64, 0x73, 0x4f, 0x70, 0x46, 0xdf, 0x20, 0xbb, 0xb1,
	0x62, 0xbc, 0xcc, 0xcb, 0xaf, 0x69, 0x18, 0x4a, 0x6e, 0x25, 0x1f, 0x37, 0x21, 0x90, 0x4f, 0xa0,
	0x4c, 0x05, 0x7a, 0xdc, 0xa8, 0xaa, 0x1b, 0xb3, 0x97, 0xc1, 0x1c, 0x09, 0xf4, 0x2c, 0x8d, 0x24,
	0x07, 0x50, 0x72, 0x6c, 0xe6, 0x46, 0xaf, 0x7a, 0x16, 0x63, 0x60, 0x33, 0xd7, 0x52, 0x40, 0x72,
	0x08, 0xb5, 0x31, 0xf5, 0xaf, 0xa8, 0x3f, 0x09, 0x22, 0x2f, 0x7a, 0x9c, 0x41, 0x3a, 0xa6, 0xfe,
	0xc8, 0x9f, 0x04, 0xb2, 0x36, 0xf5, 0x21, 0x9d, 0x88, 0x86, 0x9a, 0xa9, 0x9d, 0xe8, 0x9d, 0xac,
	0x0d, 0x86, 0x8a, 0x58, 0xa1, 0xea, 0x37, 0xe9, 0x85, 0x1a, 0x8b, 0x5e, 0xa8, 0xf7, 0x67, 0x09,
	0x5a, 0xc9, 0x33, 0x72, 0x2e, 0xa5, 0xe0, 0x20, 0x79, 0x0d, 0x15, 0xdd, 0x6d, 0x10, 0x33, 0x4b,
	0x2c, 0xab, 0xbb, 0x91, 0xf6, 0xfa, 0xa7, 0x4a, 0x06, 0xd7, 0xfd, 0x46, 0x76, 0xf0, 0xd5, 0xfd,
	0x48, 0x9e, 0xe0, 0x67, 0x50, 0xd1, 0x1d, 0x47, 0x76, 0xf0, 0xd5, 0x1d, 0x49, 0x7b, 0xf7, 0x8e,
	0xc1, 0x0d, 0x65, 0x13, 0x4b, 0x1c, 0x28, 0x49, 0xfd, 0x93, 0x8f, 0xb2, 0xe2, 0xad, 0xea, 0x06,
	0xda, 0x1f, 0xe7, 0x44, 0x47, 0x3e, 0x75, 0x09, 0x5b, 0xcf, 0x51, 0x90, 0x0f, 0xb3, 0x58, 0x2b,
	0x5a, 0x9d, 0x3c, 0xa7, 0xc1, 0xa1, 0x29, 0xf3, 0xc5, 0x96, 0x45, 0x3e, 0xcb, 0xb5, 0xab, 0x25,
	0x87, 0xdb, 0xb0, 0x96, 0xde, 0x5f, 0x45, 0x68, 0x25, 0x36, 0x16, 0xdf, 0xa8, 0x5c, 0xa7, 0xb8,
	0xfc, 0x0a, 0xfc, 0x73, 0xe6, 0xbb, 0x6e, 0xbf, 0x51, 0xb9, 0x59, 0x86, 0xbe, 0x69, 0xd2, 0x5f,
	0x0b, 0xf0, 0x40, 0x3a, 0xf7, 0x92, 0x61, 0x93, 0xa3, 0xac, 0x30, 0x39, 0x6c, 0x7e, 0xc3, 0x3d,
	0xf4, 0x7e, 0x80, 0xe6, 0xa9, 0x44, 0xc6, 0xa7, 0x7d, 0x06, 0x65, 0x65, 0xf7, 0xe4, 0xbd, 0x4c,
	0xf9, 0xa6, 0x5e, 0x83, 0xf6, 0xfa, 0x17, 0xf1, 0x98, 0xbc, 0x6a, 0xa9, 0xd5, 0x83, 0xc5, 0xea,
	0xb8, 0xa2, 0x94, 0xf2, 0xe9, 0xdf, 0x01, 0x00, 0x00, 0xff, 0xff, 0xdb, 0xa2, 0x0c, 0xd4, 0x69,
	0x0e, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// ProcessorServiceClient is the client API for ProcessorService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ProcessorServiceClient interface {
	Create(ctx context.Context, in *CreateProcessorRequest, opts ...grpc.CallOption) (*Processor, error)
	Update(ctx context.Context, in *UpdateProcessorRequest, opts ...grpc.CallOption) (*Processor, error)
	Delete(ctx context.Context, in *DeleteProcessorRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	List(ctx context.Context, in *ListProcessorRequest, opts ...grpc.CallOption) (*ListProcessorResponse, error)
	Get(ctx context.Context, in *GetProcessorRequest, opts ...grpc.CallOption) (*Processor, error)
	ListByUserId(ctx context.Context, in *ListProcessorByUserIdRequest, opts ...grpc.CallOption) (*ListProcessorResponse, error)
}

type processorServiceClient struct {
	cc *grpc.ClientConn
}

func NewProcessorServiceClient(cc *grpc.ClientConn) ProcessorServiceClient {
	return &processorServiceClient{cc}
}

func (c *processorServiceClient) Create(ctx context.Context, in *CreateProcessorRequest, opts ...grpc.CallOption) (*Processor, error) {
	out := new(Processor)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processorServiceClient) Update(ctx context.Context, in *UpdateProcessorRequest, opts ...grpc.CallOption) (*Processor, error) {
	out := new(Processor)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processorServiceClient) Delete(ctx context.Context, in *DeleteProcessorRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processorServiceClient) List(ctx context.Context, in *ListProcessorRequest, opts ...grpc.CallOption) (*ListProcessorResponse, error) {
	out := new(ListProcessorResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processorServiceClient) Get(ctx context.Context, in *GetProcessorRequest, opts ...grpc.CallOption) (*Processor, error) {
	out := new(Processor)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processorServiceClient) ListByUserId(ctx context.Context, in *ListProcessorByUserIdRequest, opts ...grpc.CallOption) (*ListProcessorResponse, error) {
	out := new(ListProcessorResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ProcessorService/ListByUserId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ProcessorServiceServer is the server API for ProcessorService service.
type ProcessorServiceServer interface {
	Create(context.Context, *CreateProcessorRequest) (*Processor, error)
	Update(context.Context, *UpdateProcessorRequest) (*Processor, error)
	Delete(context.Context, *DeleteProcessorRequest) (*empty.Empty, error)
	List(context.Context, *ListProcessorRequest) (*ListProcessorResponse, error)
	Get(context.Context, *GetProcessorRequest) (*Processor, error)
	ListByUserId(context.Context, *ListProcessorByUserIdRequest) (*ListProcessorResponse, error)
}

// UnimplementedProcessorServiceServer can be embedded to have forward compatible implementations.
type UnimplementedProcessorServiceServer struct {
}

func (*UnimplementedProcessorServiceServer) Create(ctx context.Context, req *CreateProcessorRequest) (*Processor, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedProcessorServiceServer) Update(ctx context.Context, req *UpdateProcessorRequest) (*Processor, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedProcessorServiceServer) Delete(ctx context.Context, req *DeleteProcessorRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (*UnimplementedProcessorServiceServer) List(ctx context.Context, req *ListProcessorRequest) (*ListProcessorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedProcessorServiceServer) Get(ctx context.Context, req *GetProcessorRequest) (*Processor, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (*UnimplementedProcessorServiceServer) ListByUserId(ctx context.Context, req *ListProcessorByUserIdRequest) (*ListProcessorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListByUserId not implemented")
}

func RegisterProcessorServiceServer(s *grpc.Server, srv ProcessorServiceServer) {
	s.RegisterService(&_ProcessorService_serviceDesc, srv)
}

func _ProcessorService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateProcessorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).Create(ctx, req.(*CreateProcessorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessorService_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateProcessorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).Update(ctx, req.(*UpdateProcessorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessorService_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteProcessorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).Delete(ctx, req.(*DeleteProcessorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessorService_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListProcessorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).List(ctx, req.(*ListProcessorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessorService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetProcessorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).Get(ctx, req.(*GetProcessorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessorService_ListByUserId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListProcessorByUserIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessorServiceServer).ListByUserId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ProcessorService/ListByUserId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessorServiceServer).ListByUserId(ctx, req.(*ListProcessorByUserIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ProcessorService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ghost.fraud.supervisor.ProcessorService",
	HandlerType: (*ProcessorServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _ProcessorService_Create_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _ProcessorService_Update_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _ProcessorService_Delete_Handler,
		},
		{
			MethodName: "List",
			Handler:    _ProcessorService_List_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _ProcessorService_Get_Handler,
		},
		{
			MethodName: "ListByUserId",
			Handler:    _ProcessorService_ListByUserId_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "supervisor.proto",
}

// ScreeningServiceClient is the client API for ScreeningService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ScreeningServiceClient interface {
	List(ctx context.Context, in *ListScreeningRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error)
	ListByUserId(ctx context.Context, in *ListScreeningByUserIdRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error)
	FindByUsersObjectId(ctx context.Context, in *FindScreeningByUsersObjectIdRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error)
}

type screeningServiceClient struct {
	cc *grpc.ClientConn
}

func NewScreeningServiceClient(cc *grpc.ClientConn) ScreeningServiceClient {
	return &screeningServiceClient{cc}
}

func (c *screeningServiceClient) List(ctx context.Context, in *ListScreeningRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error) {
	out := new(ListScreeningResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ScreeningService/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *screeningServiceClient) ListByUserId(ctx context.Context, in *ListScreeningByUserIdRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error) {
	out := new(ListScreeningResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ScreeningService/ListByUserId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *screeningServiceClient) FindByUsersObjectId(ctx context.Context, in *FindScreeningByUsersObjectIdRequest, opts ...grpc.CallOption) (*ListScreeningResponse, error) {
	out := new(ListScreeningResponse)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.ScreeningService/FindByUsersObjectId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ScreeningServiceServer is the server API for ScreeningService service.
type ScreeningServiceServer interface {
	List(context.Context, *ListScreeningRequest) (*ListScreeningResponse, error)
	ListByUserId(context.Context, *ListScreeningByUserIdRequest) (*ListScreeningResponse, error)
	FindByUsersObjectId(context.Context, *FindScreeningByUsersObjectIdRequest) (*ListScreeningResponse, error)
}

// UnimplementedScreeningServiceServer can be embedded to have forward compatible implementations.
type UnimplementedScreeningServiceServer struct {
}

func (*UnimplementedScreeningServiceServer) List(ctx context.Context, req *ListScreeningRequest) (*ListScreeningResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedScreeningServiceServer) ListByUserId(ctx context.Context, req *ListScreeningByUserIdRequest) (*ListScreeningResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListByUserId not implemented")
}
func (*UnimplementedScreeningServiceServer) FindByUsersObjectId(ctx context.Context, req *FindScreeningByUsersObjectIdRequest) (*ListScreeningResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindByUsersObjectId not implemented")
}

func RegisterScreeningServiceServer(s *grpc.Server, srv ScreeningServiceServer) {
	s.RegisterService(&_ScreeningService_serviceDesc, srv)
}

func _ScreeningService_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListScreeningRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ScreeningServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ScreeningService/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ScreeningServiceServer).List(ctx, req.(*ListScreeningRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ScreeningService_ListByUserId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListScreeningByUserIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ScreeningServiceServer).ListByUserId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ScreeningService/ListByUserId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ScreeningServiceServer).ListByUserId(ctx, req.(*ListScreeningByUserIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ScreeningService_FindByUsersObjectId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindScreeningByUsersObjectIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ScreeningServiceServer).FindByUsersObjectId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.ScreeningService/FindByUsersObjectId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ScreeningServiceServer).FindByUsersObjectId(ctx, req.(*FindScreeningByUsersObjectIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ScreeningService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ghost.fraud.supervisor.ScreeningService",
	HandlerType: (*ScreeningServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "List",
			Handler:    _ScreeningService_List_Handler,
		},
		{
			MethodName: "ListByUserId",
			Handler:    _ScreeningService_ListByUserId_Handler,
		},
		{
			MethodName: "FindByUsersObjectId",
			Handler:    _ScreeningService_FindByUsersObjectId_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "supervisor.proto",
}

// FraudServiceClient is the client API for FraudService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type FraudServiceClient interface {
	Check(ctx context.Context, in *CheckRequest, opts ...grpc.CallOption) (*Screening, error)
}

type fraudServiceClient struct {
	cc *grpc.ClientConn
}

func NewFraudServiceClient(cc *grpc.ClientConn) FraudServiceClient {
	return &fraudServiceClient{cc}
}

func (c *fraudServiceClient) Check(ctx context.Context, in *CheckRequest, opts ...grpc.CallOption) (*Screening, error) {
	out := new(Screening)
	err := c.cc.Invoke(ctx, "/ghost.fraud.supervisor.FraudService/Check", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FraudServiceServer is the server API for FraudService service.
type FraudServiceServer interface {
	Check(context.Context, *CheckRequest) (*Screening, error)
}

// UnimplementedFraudServiceServer can be embedded to have forward compatible implementations.
type UnimplementedFraudServiceServer struct {
}

func (*UnimplementedFraudServiceServer) Check(ctx context.Context, req *CheckRequest) (*Screening, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Check not implemented")
}

func RegisterFraudServiceServer(s *grpc.Server, srv FraudServiceServer) {
	s.RegisterService(&_FraudService_serviceDesc, srv)
}

func _FraudService_Check_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FraudServiceServer).Check(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ghost.fraud.supervisor.FraudService/Check",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FraudServiceServer).Check(ctx, req.(*CheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _FraudService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ghost.fraud.supervisor.FraudService",
	HandlerType: (*FraudServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Check",
			Handler:    _FraudService_Check_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "supervisor.proto",
}
